Subject: bug#65347: 29.1; Underscore in query replace prevents case-matching

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 22:14:48 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 19 Aug 2023 11:51:46 -0400
> 
> > And what do you mean by "remembered for the next time", when the only
> > difference is in letter-case?
> 
> When it finds "FOo" and converts it to "Bar" and I change it to "BAr" it
> should remember that mapping such that next time it finds that exact
> same capitalization "FOo" it should use "BAr" as replacement.

Is it really what happens in these cases?  IME, the capitalization
patterns, when they don't fit the heuristic, are inconsistent with one
another, and bumping into one such "non-standard" replacement doesn't
mean all those replacements after it will be necessarily
"non-standard", let alone in the same way.

IOW, I believe the best strategy is to keep replacing using the
default heuristic, and leave it to the user to detect the rare
deviations and fix them with ',' or 'C-r'.